# Generated by the Protocol Buffers compiler. DO NOT EDIT!
# source: locator/v1/locator.proto
# plugin: grpclib.plugin.main
import abc
import typing

import grpclib.const
import grpclib.client
if typing.TYPE_CHECKING:
    import grpclib.server

import locator.v1.locator_pb2


class LocatorServiceBase(abc.ABC):

    @abc.abstractmethod
    async def Get(self, stream: 'grpclib.server.Stream[locator.v1.locator_pb2.GetRequest, locator.v1.locator_pb2.GetResponse]') -> None:
        pass

    def __mapping__(self) -> typing.Dict[str, grpclib.const.Handler]:
        return {
            '/locator.v1.LocatorService/Get': grpclib.const.Handler(
                self.Get,
                grpclib.const.Cardinality.UNARY_UNARY,
                locator.v1.locator_pb2.GetRequest,
                locator.v1.locator_pb2.GetResponse,
            ),
        }


class LocatorServiceStub:

    def __init__(self, channel: grpclib.client.Channel) -> None:
        self.Get = grpclib.client.UnaryUnaryMethod(
            channel,
            '/locator.v1.LocatorService/Get',
            locator.v1.locator_pb2.GetRequest,
            locator.v1.locator_pb2.GetResponse,
        )
